/*
 * Internal module API header file.
 *
 * Generated by SIP 4.19.7
 *
 * Copyright (c) 2018 Riverbank Computing Limited <info@riverbankcomputing.com>
 * 
 * This file is part of PyQt5.
 * 
 * This file may be used under the terms of the GNU General Public License
 * version 3.0 as published by the Free Software Foundation and appearing in
 * the file LICENSE included in the packaging of this file.  Please review the
 * following information to ensure the GNU General Public License version 3.0
 * requirements will be met: http://www.gnu.org/copyleft/gpl.html.
 * 
 * If you do not wish to use this file under the terms of the GPL version 3.0
 * then you may purchase a commercial license.  For more information contact
 * info@riverbankcomputing.com.
 * 
 * This file is provided AS IS with NO WARRANTY OF ANY KIND, INCLUDING THE
 * WARRANTY OF DESIGN, MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE.
 */

#ifndef _EnginioAPI_H
#define _EnginioAPI_H

#if !defined(Py_LIMITED_API)
#define Py_LIMITED_API
#endif

#include <sip.h>

#include <QMetaType>
#include <QThread>

/* These are the qualifiers that are enabled. */
#define SIP_FEATURE_PyQt_MacOSXOnly
#define SIP_FEATURE_PyQt_Process
#define SIP_FEATURE_PyQt_NotBootstrapped
#define SIP_FEATURE_PyQt_Desktop_OpenGL
#define SIP_FEATURE_PyQt_OpenGL
#define SIP_FEATURE_PyQt_RawFont
#define SIP_FEATURE_PyQt_PrintPreviewDialog
#define SIP_FEATURE_PyQt_PrintPreviewWidget
#define SIP_FEATURE_PyQt_Printer
#define SIP_FEATURE_PyQt_PrintDialog
#define SIP_FEATURE_PyQt_qreal_double
#define SIP_FEATURE_PyQt_SSL
#define SIP_FEATURE_PyQt_SessionManager
#define SIP_FEATURE_PyQt_Accessibility
#define SIP_PLATFORM_WS_X11
#define SIP_TIMELINE_Qt_5_6_2


/*
 * Convenient names to refer to various strings defined in this module.
 * Only the class names are part of the public API.
 */
#define sipNameNr_Enginio__AuthenticationState 0
#define sipName_Enginio__AuthenticationState &sipStrings_Enginio[0]
#define sipNameNr_EnginioOAuth2Authentication 29
#define sipName_EnginioOAuth2Authentication &sipStrings_Enginio[29]
#define sipNameNr_authenticationStateChanged 57
#define sipName_authenticationStateChanged &sipStrings_Enginio[57]
#define sipNameNr_sessionAuthenticationError 84
#define sipName_sessionAuthenticationError &sipStrings_Enginio[84]
#define sipNameNr_UsergroupMembersOperation 111
#define sipName_UsergroupMembersOperation &sipStrings_Enginio[111]
#define sipNameNr_EnginioClientConnection 137
#define sipName_EnginioClientConnection &sipStrings_Enginio[137]
#define sipNameNr_AccessControlOperation 161
#define sipName_AccessControlOperation &sipStrings_Enginio[161]
#define sipNameNr_AuthenticationFailure 184
#define sipName_AuthenticationFailure &sipStrings_Enginio[184]
#define sipNameNr_sessionAuthenticated 206
#define sipName_sessionAuthenticated &sipStrings_Enginio[206]
#define sipNameNr_supportedDragActions 227
#define sipName_supportedDragActions &sipStrings_Enginio[227]
#define sipNameNr_supportedDropActions 248
#define sipName_supportedDropActions &sipStrings_Enginio[248]
#define sipNameNr_authenticationState 269
#define sipName_authenticationState &sipStrings_Enginio[269]
#define sipNameNr_AuthenticationState 9
#define sipName_AuthenticationState &sipStrings_Enginio[9]
#define sipNameNr_Enginio__ErrorType 289
#define sipName_Enginio__ErrorType &sipStrings_Enginio[289]
#define sipNameNr_CustomPropertyRole 308
#define sipName_CustomPropertyRole &sipStrings_Enginio[308]
#define sipNameNr_UsergroupOperation 327
#define sipName_UsergroupOperation &sipStrings_Enginio[327]
#define sipNameNr_Enginio__Operation 346
#define sipName_Enginio__Operation &sipStrings_Enginio[346]
#define sipNameNr_serviceUrlChanged 365
#define sipName_serviceUrlChanged &sipStrings_Enginio[365]
#define sipNameNr_sessionTerminated 383
#define sipName_sessionTerminated &sipStrings_Enginio[383]
#define sipNameNr_sip_simplewrapper 401
#define sipName_sip_simplewrapper &sipStrings_Enginio[401]
#define sipNameNr_operationChanged 419
#define sipName_operationChanged &sipStrings_Enginio[419]
#define sipNameNr_backendIdChanged 436
#define sipName_backendIdChanged &sipStrings_Enginio[436]
#define sipNameNr_NotAuthenticated 453
#define sipName_NotAuthenticated &sipStrings_Enginio[453]
#define sipNameNr_disconnectNotify 470
#define sipName_disconnectNotify &sipStrings_Enginio[470]
#define sipNameNr_passwordChanged 487
#define sipName_passwordChanged &sipStrings_Enginio[487]
#define sipNameNr_EnginioIdentity 503
#define sipName_EnginioIdentity &sipStrings_Enginio[503]
#define sipNameNr_identityChanged 519
#define sipName_identityChanged &sipStrings_Enginio[519]
#define sipNameNr_ObjectOperation 535
#define sipName_ObjectOperation &sipStrings_Enginio[535]
#define sipNameNr_canDropMimeData 551
#define sipName_canDropMimeData &sipStrings_Enginio[551]
#define sipNameNr_networkManager 567
#define sipName_networkManager &sipStrings_Enginio[567]
#define sipNameNr_fullTextSearch 582
#define sipName_fullTextSearch &sipStrings_Enginio[582]
#define sipNameNr_JsonObjectRole 597
#define sipName_JsonObjectRole &sipStrings_Enginio[597]
#define sipNameNr_ObjectTypeRole 612
#define sipName_ObjectTypeRole &sipStrings_Enginio[612]
#define sipNameNr_Authenticating 627
#define sipName_Authenticating &sipStrings_Enginio[627]
#define sipNameNr_backendStatus 642
#define sipName_backendStatus &sipStrings_Enginio[642]
#define sipNameNr_clientChanged 656
#define sipName_clientChanged &sipStrings_Enginio[656]
#define sipNameNr_setServiceUrl 670
#define sipName_setServiceUrl &sipStrings_Enginio[670]
#define sipNameNr_EnginioClient 684
#define sipName_EnginioClient &sipStrings_Enginio[684]
#define sipNameNr_UpdatedAtRole 698
#define sipName_UpdatedAtRole &sipStrings_Enginio[698]
#define sipNameNr_CreatedAtRole 712
#define sipName_CreatedAtRole &sipStrings_Enginio[712]
#define sipNameNr_Enginio__Role 726
#define sipName_Enginio__Role &sipStrings_Enginio[726]
#define sipNameNr_FileOperation 740
#define sipName_FileOperation &sipStrings_Enginio[740]
#define sipNameNr_UserOperation 754
#define sipName_UserOperation &sipStrings_Enginio[754]
#define sipNameNr_Authenticated 213
#define sipName_Authenticated &sipStrings_Enginio[213]
#define sipNameNr_connectNotify 473
#define sipName_connectNotify &sipStrings_Enginio[473]
#define sipNameNr_removeColumns 768
#define sipName_removeColumns &sipStrings_Enginio[768]
#define sipNameNr_insertColumns 782
#define sipName_insertColumns &sipStrings_Enginio[782]
#define sipNameNr_setHeaderData 796
#define sipName_setHeaderData &sipStrings_Enginio[796]
#define sipNameNr_PyQt5_Enginio 810
#define sipName_PyQt5_Enginio &sipStrings_Enginio[810]
#define sipNameNr_networkError 824
#define sipName_networkError &sipStrings_Enginio[824]
#define sipNameNr_EnginioReply 837
#define sipName_EnginioReply &sipStrings_Enginio[837]
#define sipNameNr_queryChanged 850
#define sipName_queryChanged &sipStrings_Enginio[850]
#define sipNameNr_EnginioModel 863
#define sipName_EnginioModel &sipStrings_Enginio[863]
#define sipNameNr_setBackendId 876
#define sipName_setBackendId &sipStrings_Enginio[876]
#define sipNameNr_BackendError 889
#define sipName_BackendError &sipStrings_Enginio[889]
#define sipNameNr_setOperation 902
#define sipName_setOperation &sipStrings_Enginio[902]
#define sipNameNr_NetworkError 915
#define sipName_NetworkError &sipStrings_Enginio[915]
#define sipNameNr_canFetchMore 928
#define sipName_canFetchMore &sipStrings_Enginio[928]
#define sipNameNr_dropMimeData 941
#define sipName_dropMimeData &sipStrings_Enginio[941]
#define sipNameNr_userChanged 954
#define sipName_userChanged &sipStrings_Enginio[954]
#define sipNameNr_downloadUrl 966
#define sipName_downloadUrl &sipStrings_Enginio[966]
#define sipNameNr_setIdentity 978
#define sipName_setIdentity &sipStrings_Enginio[978]
#define sipNameNr_setPassword 990
#define sipName_setPassword &sipStrings_Enginio[990]
#define sipNameNr_customEvent 1002
#define sipName_customEvent &sipStrings_Enginio[1002]
#define sipNameNr_eventFilter 1014
#define sipName_eventFilter &sipStrings_Enginio[1014]
#define sipNameNr_errorString 1026
#define sipName_errorString &sipStrings_Enginio[1026]
#define sipNameNr_moveColumns 770
#define sipName_moveColumns &sipStrings_Enginio[770]
#define sipNameNr_dataChanged 1038
#define sipName_dataChanged &sipStrings_Enginio[1038]
#define sipNameNr_setItemData 1050
#define sipName_setItemData &sipStrings_Enginio[1050]
#define sipNameNr_hasChildren 1062
#define sipName_hasChildren &sipStrings_Enginio[1062]
#define sipNameNr_columnCount 1074
#define sipName_columnCount &sipStrings_Enginio[1074]
#define sipNameNr_serviceUrl 1086
#define sipName_serviceUrl &sipStrings_Enginio[1086]
#define sipNameNr_uploadFile 1097
#define sipName_uploadFile &sipStrings_Enginio[1097]
#define sipNameNr_SyncedRole 1108
#define sipName_SyncedRole &sipStrings_Enginio[1108]
#define sipNameNr_isFinished 1119
#define sipName_isFinished &sipStrings_Enginio[1119]
#define sipNameNr_childEvent 1130
#define sipName_childEvent &sipStrings_Enginio[1130]
#define sipNameNr_timerEvent 1141
#define sipName_timerEvent &sipStrings_Enginio[1141]
#define sipNameNr_removeRows 1152
#define sipName_removeRows &sipStrings_Enginio[1152]
#define sipNameNr_insertRows 1163
#define sipName_insertRows &sipStrings_Enginio[1163]
#define sipNameNr_headerData 1174
#define sipName_headerData &sipStrings_Enginio[1174]
#define sipNameNr_errorType 1185
#define sipName_errorType &sipStrings_Enginio[1185]
#define sipNameNr_setClient 1195
#define sipName_setClient &sipStrings_Enginio[1195]
#define sipNameNr_backendId 1205
#define sipName_backendId &sipStrings_Enginio[1205]
#define sipNameNr_ErrorType 298
#define sipName_ErrorType &sipStrings_Enginio[298]
#define sipNameNr_operation 1215
#define sipName_operation &sipStrings_Enginio[1215]
#define sipNameNr_Operation 127
#define sipName_Operation &sipStrings_Enginio[127]
#define sipNameNr_directory 1225
#define sipName_directory &sipStrings_Enginio[1225]
#define sipNameNr_precision 1235
#define sipName_precision &sipStrings_Enginio[1235]
#define sipNameNr_roleNames 1245
#define sipName_roleNames &sipStrings_Enginio[1245]
#define sipNameNr_fetchMore 1255
#define sipName_fetchMore &sipStrings_Enginio[1255]
#define sipNameNr_mimeTypes 1265
#define sipName_mimeTypes &sipStrings_Enginio[1265]
#define sipNameNr_identity 1275
#define sipName_identity &sipStrings_Enginio[1275]
#define sipNameNr_protocol 1284
#define sipName_protocol &sipStrings_Enginio[1284]
#define sipNameNr_setQuery 1293
#define sipName_setQuery &sipStrings_Enginio[1293]
#define sipNameNr_password 1302
#define sipName_password &sipStrings_Enginio[1302]
#define sipNameNr_nameType 1311
#define sipName_nameType &sipStrings_Enginio[1311]
#define sipNameNr_progress 1320
#define sipName_progress &sipStrings_Enginio[1320]
#define sipNameNr_moveRows 1154
#define sipName_moveRows &sipStrings_Enginio[1154]
#define sipNameNr_mimeData 1329
#define sipName_mimeData &sipStrings_Enginio[1329]
#define sipNameNr_itemData 1338
#define sipName_itemData &sipStrings_Enginio[1338]
#define sipNameNr_rowCount 1347
#define sipName_rowCount &sipStrings_Enginio[1347]
#define sipNameNr_finished 1356
#define sipName_finished &sipStrings_Enginio[1356]
#define sipNameNr_isError 1365
#define sipName_isError &sipStrings_Enginio[1365]
#define sipNameNr_Enginio 816
#define sipName_Enginio &sipStrings_Enginio[816]
#define sipNameNr_setUser 1373
#define sipName_setUser &sipStrings_Enginio[1373]
#define sipNameNr_NoError 1381
#define sipName_NoError &sipStrings_Enginio[1381]
#define sipNameNr_filters 1389
#define sipName_filters &sipStrings_Enginio[1389]
#define sipNameNr_options 1397
#define sipName_options &sipStrings_Enginio[1397]
#define sipNameNr_setData 1405
#define sipName_setData &sipStrings_Enginio[1405]
#define sipNameNr_sibling 1413
#define sipName_sibling &sipStrings_Enginio[1413]
#define sipNameNr_reload 1421
#define sipName_reload &sipStrings_Enginio[1421]
#define sipNameNr_client 1428
#define sipName_client &sipStrings_Enginio[1428]
#define sipNameNr_update 1435
#define sipName_update &sipStrings_Enginio[1435]
#define sipNameNr_IdRole 1442
#define sipName_IdRole &sipStrings_Enginio[1442]
#define sipNameNr_create 1449
#define sipName_create &sipStrings_Enginio[1449]
#define sipNameNr_proper 1456
#define sipName_proper &sipStrings_Enginio[1456]
#define sipNameNr_value9 1463
#define sipName_value9 &sipStrings_Enginio[1463]
#define sipNameNr_value8 1470
#define sipName_value8 &sipStrings_Enginio[1470]
#define sipNameNr_value7 1477
#define sipName_value7 &sipStrings_Enginio[1477]
#define sipNameNr_value6 1484
#define sipName_value6 &sipStrings_Enginio[1484]
#define sipNameNr_value5 1491
#define sipName_value5 &sipStrings_Enginio[1491]
#define sipNameNr_value4 1498
#define sipName_value4 &sipStrings_Enginio[1498]
#define sipNameNr_value3 1505
#define sipName_value3 &sipStrings_Enginio[1505]
#define sipNameNr_value2 1512
#define sipName_value2 &sipStrings_Enginio[1512]
#define sipNameNr_value1 1519
#define sipName_value1 &sipStrings_Enginio[1519]
#define sipNameNr_value0 1526
#define sipName_value0 &sipStrings_Enginio[1526]
#define sipNameNr_symbol 1533
#define sipName_symbol &sipStrings_Enginio[1533]
#define sipNameNr_suffix 1540
#define sipName_suffix &sipStrings_Enginio[1540]
#define sipNameNr_prefix 1547
#define sipName_prefix &sipStrings_Enginio[1547]
#define sipNameNr_locale 1554
#define sipName_locale &sipStrings_Enginio[1554]
#define sipNameNr_format 1561
#define sipName_format &sipStrings_Enginio[1561]
#define sipNameNr_remove 1568
#define sipName_remove &sipStrings_Enginio[1568]
#define sipNameNr_append 1575
#define sipName_append &sipStrings_Enginio[1575]
#define sipNameNr_revert 1582
#define sipName_revert &sipStrings_Enginio[1582]
#define sipNameNr_submit 1589
#define sipName_submit &sipStrings_Enginio[1589]
#define sipNameNr_parent 1596
#define sipName_parent &sipStrings_Enginio[1596]
#define sipNameNr_query 1603
#define sipName_query &sipStrings_Enginio[1603]
#define sipNameNr_error 1609
#define sipName_error &sipStrings_Enginio[1609]
#define sipNameNr_match 1615
#define sipName_match &sipStrings_Enginio[1615]
#define sipNameNr_buddy 1621
#define sipName_buddy &sipStrings_Enginio[1621]
#define sipNameNr_index 1627
#define sipName_index &sipStrings_Enginio[1627]
#define sipNameNr_flags 1633
#define sipName_flags &sipStrings_Enginio[1633]
#define sipNameNr_event 1639
#define sipName_event &sipStrings_Enginio[1639]
#define sipNameNr_msecs 1645
#define sipName_msecs &sipStrings_Enginio[1645]
#define sipNameNr_Role 322
#define sipName_Role &sipStrings_Enginio[322]
#define sipNameNr_user 1651
#define sipName_user &sipStrings_Enginio[1651]
#define sipNameNr_port 1656
#define sipName_port &sipStrings_Enginio[1656]
#define sipNameNr_mode 1661
#define sipName_mode &sipStrings_Enginio[1661]
#define sipNameNr_name 1666
#define sipName_name &sipStrings_Enginio[1666]
#define sipNameNr_base 1671
#define sipName_base &sipStrings_Enginio[1671]
#define sipNameNr_from 1676
#define sipName_from &sipStrings_Enginio[1676]
#define sipNameNr_span 1681
#define sipName_span &sipStrings_Enginio[1681]
#define sipNameNr_sort 1686
#define sipName_sort &sipStrings_Enginio[1686]
#define sipNameNr_data 1691
#define sipName_data &sipStrings_Enginio[1691]

#define sipMalloc                   sipAPI_Enginio->api_malloc
#define sipFree                     sipAPI_Enginio->api_free
#define sipBuildResult              sipAPI_Enginio->api_build_result
#define sipCallMethod               sipAPI_Enginio->api_call_method
#define sipCallProcedureMethod      sipAPI_Enginio->api_call_procedure_method
#define sipCallErrorHandler         sipAPI_Enginio->api_call_error_handler
#define sipParseResultEx            sipAPI_Enginio->api_parse_result_ex
#define sipParseResult              sipAPI_Enginio->api_parse_result
#define sipParseArgs                sipAPI_Enginio->api_parse_args
#define sipParseKwdArgs             sipAPI_Enginio->api_parse_kwd_args
#define sipParsePair                sipAPI_Enginio->api_parse_pair
#define sipInstanceDestroyed        sipAPI_Enginio->api_instance_destroyed
#define sipConvertFromSequenceIndex sipAPI_Enginio->api_convert_from_sequence_index
#define sipConvertFromVoidPtr       sipAPI_Enginio->api_convert_from_void_ptr
#define sipConvertToVoidPtr         sipAPI_Enginio->api_convert_to_void_ptr
#define sipAddException             sipAPI_Enginio->api_add_exception
#define sipNoFunction               sipAPI_Enginio->api_no_function
#define sipNoMethod                 sipAPI_Enginio->api_no_method
#define sipAbstractMethod           sipAPI_Enginio->api_abstract_method
#define sipBadClass                 sipAPI_Enginio->api_bad_class
#define sipBadCatcherResult         sipAPI_Enginio->api_bad_catcher_result
#define sipBadCallableArg           sipAPI_Enginio->api_bad_callable_arg
#define sipBadOperatorArg           sipAPI_Enginio->api_bad_operator_arg
#define sipTrace                    sipAPI_Enginio->api_trace
#define sipTransferBack             sipAPI_Enginio->api_transfer_back
#define sipTransferTo               sipAPI_Enginio->api_transfer_to
#define sipTransferBreak            sipAPI_Enginio->api_transfer_break
#define sipSimpleWrapper_Type       sipAPI_Enginio->api_simplewrapper_type
#define sipWrapper_Type             sipAPI_Enginio->api_wrapper_type
#define sipWrapperType_Type         sipAPI_Enginio->api_wrappertype_type
#define sipVoidPtr_Type             sipAPI_Enginio->api_voidptr_type
#define sipGetPyObject              sipAPI_Enginio->api_get_pyobject
#define sipGetAddress               sipAPI_Enginio->api_get_address
#define sipGetMixinAddress          sipAPI_Enginio->api_get_mixin_address
#define sipGetCppPtr                sipAPI_Enginio->api_get_cpp_ptr
#define sipGetComplexCppPtr         sipAPI_Enginio->api_get_complex_cpp_ptr
#define sipIsPyMethod               sipAPI_Enginio->api_is_py_method
#define sipCallHook                 sipAPI_Enginio->api_call_hook
#define sipEndThread                sipAPI_Enginio->api_end_thread
#define sipConnectRx                sipAPI_Enginio->api_connect_rx
#define sipDisconnectRx             sipAPI_Enginio->api_disconnect_rx
#define sipRaiseUnknownException    sipAPI_Enginio->api_raise_unknown_exception
#define sipRaiseTypeException       sipAPI_Enginio->api_raise_type_exception
#define sipBadLengthForSlice        sipAPI_Enginio->api_bad_length_for_slice
#define sipAddTypeInstance          sipAPI_Enginio->api_add_type_instance
#define sipFreeSipslot              sipAPI_Enginio->api_free_sipslot
#define sipSameSlot                 sipAPI_Enginio->api_same_slot
#define sipPySlotExtend             sipAPI_Enginio->api_pyslot_extend
#define sipConvertRx                sipAPI_Enginio->api_convert_rx
#define sipAddDelayedDtor           sipAPI_Enginio->api_add_delayed_dtor
#define sipCanConvertToType         sipAPI_Enginio->api_can_convert_to_type
#define sipConvertToType            sipAPI_Enginio->api_convert_to_type
#define sipForceConvertToType       sipAPI_Enginio->api_force_convert_to_type
#define sipCanConvertToEnum         sipAPI_Enginio->api_can_convert_to_enum
#define sipConvertToEnum            sipAPI_Enginio->api_convert_to_enum
#define sipConvertToBool            sipAPI_Enginio->api_convert_to_bool
#define sipReleaseType              sipAPI_Enginio->api_release_type
#define sipConvertFromType          sipAPI_Enginio->api_convert_from_type
#define sipConvertFromNewType       sipAPI_Enginio->api_convert_from_new_type
#define sipConvertFromNewPyType     sipAPI_Enginio->api_convert_from_new_pytype
#define sipConvertFromEnum          sipAPI_Enginio->api_convert_from_enum
#define sipGetState                 sipAPI_Enginio->api_get_state
#define sipExportSymbol             sipAPI_Enginio->api_export_symbol
#define sipImportSymbol             sipAPI_Enginio->api_import_symbol
#define sipFindType                 sipAPI_Enginio->api_find_type
#define sipFindNamedEnum            sipAPI_Enginio->api_find_named_enum
#define sipBytes_AsChar             sipAPI_Enginio->api_bytes_as_char
#define sipBytes_AsString           sipAPI_Enginio->api_bytes_as_string
#define sipString_AsASCIIChar       sipAPI_Enginio->api_string_as_ascii_char
#define sipString_AsASCIIString     sipAPI_Enginio->api_string_as_ascii_string
#define sipString_AsLatin1Char      sipAPI_Enginio->api_string_as_latin1_char
#define sipString_AsLatin1String    sipAPI_Enginio->api_string_as_latin1_string
#define sipString_AsUTF8Char        sipAPI_Enginio->api_string_as_utf8_char
#define sipString_AsUTF8String      sipAPI_Enginio->api_string_as_utf8_string
#define sipUnicode_AsWChar          sipAPI_Enginio->api_unicode_as_wchar
#define sipUnicode_AsWString        sipAPI_Enginio->api_unicode_as_wstring
#define sipConvertFromConstVoidPtr  sipAPI_Enginio->api_convert_from_const_void_ptr
#define sipConvertFromVoidPtrAndSize    sipAPI_Enginio->api_convert_from_void_ptr_and_size
#define sipConvertFromConstVoidPtrAndSize   sipAPI_Enginio->api_convert_from_const_void_ptr_and_size
#define sipInvokeSlot               sipAPI_Enginio->api_invoke_slot
#define sipInvokeSlotEx             sipAPI_Enginio->api_invoke_slot_ex
#define sipSaveSlot                 sipAPI_Enginio->api_save_slot
#define sipClearAnySlotReference    sipAPI_Enginio->api_clear_any_slot_reference
#define sipVisitSlot                sipAPI_Enginio->api_visit_slot
#define sipWrappedTypeName(wt)      ((wt)->wt_td->td_cname)
#define sipDeprecated               sipAPI_Enginio->api_deprecated
#define sipGetReference             sipAPI_Enginio->api_get_reference
#define sipKeepReference            sipAPI_Enginio->api_keep_reference
#define sipRegisterProxyResolver    sipAPI_Enginio->api_register_proxy_resolver
#define sipRegisterPyType           sipAPI_Enginio->api_register_py_type
#define sipTypeFromPyTypeObject     sipAPI_Enginio->api_type_from_py_type_object
#define sipTypeScope                sipAPI_Enginio->api_type_scope
#define sipResolveTypedef           sipAPI_Enginio->api_resolve_typedef
#define sipRegisterAttributeGetter  sipAPI_Enginio->api_register_attribute_getter
#define sipIsAPIEnabled             sipAPI_Enginio->api_is_api_enabled
#define sipSetDestroyOnExit         sipAPI_Enginio->api_set_destroy_on_exit
#define sipEnableAutoconversion     sipAPI_Enginio->api_enable_autoconversion
#define sipEnableOverflowChecking   sipAPI_Enginio->api_enable_overflow_checking
#define sipInitMixin                sipAPI_Enginio->api_init_mixin
#define sipExportModule             sipAPI_Enginio->api_export_module
#define sipInitModule               sipAPI_Enginio->api_init_module
#define sipGetInterpreter           sipAPI_Enginio->api_get_interpreter
#define sipSetNewUserTypeHandler    sipAPI_Enginio->api_set_new_user_type_handler
#define sipSetTypeUserData          sipAPI_Enginio->api_set_type_user_data
#define sipGetTypeUserData          sipAPI_Enginio->api_get_type_user_data
#define sipPyTypeDict               sipAPI_Enginio->api_py_type_dict
#define sipPyTypeName               sipAPI_Enginio->api_py_type_name
#define sipGetCFunction             sipAPI_Enginio->api_get_c_function
#define sipGetMethod                sipAPI_Enginio->api_get_method
#define sipFromMethod               sipAPI_Enginio->api_from_method
#define sipGetDate                  sipAPI_Enginio->api_get_date
#define sipFromDate                 sipAPI_Enginio->api_from_date
#define sipGetDateTime              sipAPI_Enginio->api_get_datetime
#define sipFromDateTime             sipAPI_Enginio->api_from_datetime
#define sipGetTime                  sipAPI_Enginio->api_get_time
#define sipFromTime                 sipAPI_Enginio->api_from_time
#define sipIsUserType               sipAPI_Enginio->api_is_user_type
#define sipGetFrame                 sipAPI_Enginio->api_get_frame
#define sipCheckPluginForType       sipAPI_Enginio->api_check_plugin_for_type
#define sipUnicodeNew               sipAPI_Enginio->api_unicode_new
#define sipUnicodeWrite             sipAPI_Enginio->api_unicode_write
#define sipUnicodeData              sipAPI_Enginio->api_unicode_data
#define sipGetBufferInfo            sipAPI_Enginio->api_get_buffer_info
#define sipReleaseBufferInfo        sipAPI_Enginio->api_release_buffer_info
#define sipIsOwnedByPython          sipAPI_Enginio->api_is_owned_by_python
#define sipIsDerivedClass           sipAPI_Enginio->api_is_derived_class
#define sipGetUserObject            sipAPI_Enginio->api_get_user_object
#define sipSetUserObject            sipAPI_Enginio->api_set_user_object
#define sipRegisterEventHandler     sipAPI_Enginio->api_register_event_handler
#define sipLong_AsChar              sipAPI_Enginio->api_long_as_char
#define sipLong_AsSignedChar        sipAPI_Enginio->api_long_as_signed_char
#define sipLong_AsUnsignedChar      sipAPI_Enginio->api_long_as_unsigned_char
#define sipLong_AsShort             sipAPI_Enginio->api_long_as_short
#define sipLong_AsUnsignedShort     sipAPI_Enginio->api_long_as_unsigned_short
#define sipLong_AsInt               sipAPI_Enginio->api_long_as_int
#define sipLong_AsUnsignedInt       sipAPI_Enginio->api_long_as_unsigned_int
#define sipLong_AsLong              sipAPI_Enginio->api_long_as_long
#define sipLong_AsUnsignedLong      sipAPI_Enginio->api_long_as_unsigned_long
#define sipLong_AsLongLong          sipAPI_Enginio->api_long_as_long_long
#define sipLong_AsUnsignedLongLong  sipAPI_Enginio->api_long_as_unsigned_long_long

/* These are deprecated. */
#define sipMapStringToClass         sipAPI_Enginio->api_map_string_to_class
#define sipMapIntToClass            sipAPI_Enginio->api_map_int_to_class
#define sipFindClass                sipAPI_Enginio->api_find_class
#define sipFindMappedType           sipAPI_Enginio->api_find_mapped_type
#define sipConvertToArray           sipAPI_Enginio->api_convert_to_array
#define sipConvertToTypedArray      sipAPI_Enginio->api_convert_to_typed_array
#define sipEnableGC                 sipAPI_Enginio->api_enable_gc
#define sipPrintObject              sipAPI_Enginio->api_print_object
#define sipWrapper_Check(w)         PyObject_TypeCheck((w), sipAPI_Enginio->api_wrapper_type)
#define sipGetWrapper(p, wt)        sipGetPyObject((p), (wt)->wt_td)
#define sipReleaseInstance(p, wt, s)    sipReleaseType((p), (wt)->wt_td, (s))
#define sipReleaseMappedType        sipReleaseType
#define sipCanConvertToInstance(o, wt, f)   sipCanConvertToType((o), (wt)->wt_td, (f))
#define sipCanConvertToMappedType   sipCanConvertToType
#define sipConvertToInstance(o, wt, t, f, s, e)     sipConvertToType((o), (wt)->wt_td, (t), (f), (s), (e))
#define sipConvertToMappedType      sipConvertToType
#define sipForceConvertToInstance(o, wt, t, f, s, e)    sipForceConvertToType((o), (wt)->wt_td, (t), (f), (s), (e))
#define sipForceConvertToMappedType sipForceConvertToType
#define sipConvertFromInstance(p, wt, t)    sipConvertFromType((p), (wt)->wt_td, (t))
#define sipConvertFromMappedType    sipConvertFromType
#define sipConvertFromNamedEnum(v, pt)  sipConvertFromEnum((v), ((sipEnumTypeObject *)(pt))->type)
#define sipConvertFromNewInstance(p, wt, t) sipConvertFromNewType((p), (wt)->wt_td, (t))

/* The strings used by this module. */
extern const char sipStrings_Enginio[];

#define sipType_Enginio sipExportedTypes_Enginio[0]
#define sipClass_Enginio sipExportedTypes_Enginio[0]->u.td_wrapper_type

#define sipType_Enginio_ErrorType sipExportedTypes_Enginio[2]
#define sipEnum_Enginio_ErrorType sipExportedTypes_Enginio[2]->u.td_py_type

#define sipType_Enginio_Role sipExportedTypes_Enginio[4]
#define sipEnum_Enginio_Role sipExportedTypes_Enginio[4]->u.td_py_type

#define sipType_Enginio_Operation sipExportedTypes_Enginio[3]
#define sipEnum_Enginio_Operation sipExportedTypes_Enginio[3]->u.td_py_type

#define sipType_Enginio_AuthenticationState sipExportedTypes_Enginio[1]
#define sipEnum_Enginio_AuthenticationState sipExportedTypes_Enginio[1]->u.td_py_type

extern sipClassTypeDef sipTypeDef_Enginio_Enginio;

#define sipType_EnginioClientConnection sipExportedTypes_Enginio[6]
#define sipClass_EnginioClientConnection sipExportedTypes_Enginio[6]->u.td_wrapper_type

extern sipClassTypeDef sipTypeDef_Enginio_EnginioClientConnection;

#define sipType_EnginioClient sipExportedTypes_Enginio[5]
#define sipClass_EnginioClient sipExportedTypes_Enginio[5]->u.td_wrapper_type

extern sipClassTypeDef sipTypeDef_Enginio_EnginioClient;

#define sipType_EnginioIdentity sipExportedTypes_Enginio[7]
#define sipClass_EnginioIdentity sipExportedTypes_Enginio[7]->u.td_wrapper_type

extern sipClassTypeDef sipTypeDef_Enginio_EnginioIdentity;

#define sipType_EnginioModel sipExportedTypes_Enginio[8]
#define sipClass_EnginioModel sipExportedTypes_Enginio[8]->u.td_wrapper_type

extern sipClassTypeDef sipTypeDef_Enginio_EnginioModel;

#define sipType_EnginioOAuth2Authentication sipExportedTypes_Enginio[9]
#define sipClass_EnginioOAuth2Authentication sipExportedTypes_Enginio[9]->u.td_wrapper_type

extern sipClassTypeDef sipTypeDef_Enginio_EnginioOAuth2Authentication;

#define sipType_EnginioReply sipExportedTypes_Enginio[10]
#define sipClass_EnginioReply sipExportedTypes_Enginio[10]->u.td_wrapper_type

extern sipClassTypeDef sipTypeDef_Enginio_EnginioReply;

/* The SIP API, this module's API and the APIs of any imported modules. */
extern const sipAPIDef *sipAPI_Enginio;
extern sipExportedModuleDef sipModuleAPI_Enginio;
extern sipTypeDef *sipExportedTypes_Enginio[];

#define sipType_Qt_DropAction sipImportedTypes_Enginio_QtCore[19].it_td
#define sipEnum_Qt_DropAction sipImportedTypes_Enginio_QtCore[19].it_td->u.td_py_type

#define sipType_Qt_SortOrder sipImportedTypes_Enginio_QtCore[24].it_td
#define sipEnum_Qt_SortOrder sipImportedTypes_Enginio_QtCore[24].it_td->u.td_py_type

#define sipType_Qt_Orientation sipImportedTypes_Enginio_QtCore[23].it_td
#define sipEnum_Qt_Orientation sipImportedTypes_Enginio_QtCore[23].it_td->u.td_py_type

#define sipType_Qt_DropActions sipImportedTypes_Enginio_QtCore[20].it_td
#define sipClass_Qt_DropActions sipImportedTypes_Enginio_QtCore[20].it_td->u.td_wrapper_type

#define sipType_Qt_ItemFlags sipImportedTypes_Enginio_QtCore[21].it_td
#define sipClass_Qt_ItemFlags sipImportedTypes_Enginio_QtCore[21].it_td->u.td_wrapper_type

#define sipType_Qt_MatchFlags sipImportedTypes_Enginio_QtCore[22].it_td
#define sipClass_Qt_MatchFlags sipImportedTypes_Enginio_QtCore[22].it_td->u.td_wrapper_type

#define sipType_QObject sipImportedTypes_Enginio_QtCore[12].it_td
#define sipClass_QObject sipImportedTypes_Enginio_QtCore[12].it_td->u.td_wrapper_type

#define sipType_QModelIndex sipImportedTypes_Enginio_QtCore[11].it_td
#define sipClass_QModelIndex sipImportedTypes_Enginio_QtCore[11].it_td->u.td_wrapper_type

#define sipType_QAbstractItemModel sipImportedTypes_Enginio_QtCore[0].it_td
#define sipClass_QAbstractItemModel sipImportedTypes_Enginio_QtCore[0].it_td->u.td_wrapper_type

#define sipType_QAbstractListModel sipImportedTypes_Enginio_QtCore[1].it_td
#define sipClass_QAbstractListModel sipImportedTypes_Enginio_QtCore[1].it_td->u.td_wrapper_type

#define sipType_QByteArray sipImportedTypes_Enginio_QtCore[2].it_td
#define sipClass_QByteArray sipImportedTypes_Enginio_QtCore[2].it_td->u.td_wrapper_type

#define sipType_QEvent sipImportedTypes_Enginio_QtCore[4].it_td
#define sipClass_QEvent sipImportedTypes_Enginio_QtCore[4].it_td->u.td_wrapper_type

#define sipType_QTimerEvent sipImportedTypes_Enginio_QtCore[16].it_td
#define sipClass_QTimerEvent sipImportedTypes_Enginio_QtCore[16].it_td->u.td_wrapper_type

#define sipType_QChildEvent sipImportedTypes_Enginio_QtCore[3].it_td
#define sipClass_QChildEvent sipImportedTypes_Enginio_QtCore[3].it_td->u.td_wrapper_type

#define sipType_QMetaMethod sipImportedTypes_Enginio_QtCore[9].it_td
#define sipClass_QMetaMethod sipImportedTypes_Enginio_QtCore[9].it_td->u.td_wrapper_type

#define sipType_QMimeData sipImportedTypes_Enginio_QtCore[10].it_td
#define sipClass_QMimeData sipImportedTypes_Enginio_QtCore[10].it_td->u.td_wrapper_type

#define sipType_QSize sipImportedTypes_Enginio_QtCore[13].it_td
#define sipClass_QSize sipImportedTypes_Enginio_QtCore[13].it_td->u.td_wrapper_type

#define sipType_QUrl sipImportedTypes_Enginio_QtCore[17].it_td
#define sipClass_QUrl sipImportedTypes_Enginio_QtCore[17].it_td->u.td_wrapper_type

#define sipType_QVariant sipImportedTypes_Enginio_QtCore[18].it_td
#define sipClass_QVariant sipImportedTypes_Enginio_QtCore[18].it_td->u.td_wrapper_type

#define sipType_QHash_1800_0100QByteArray sipImportedTypes_Enginio_QtCore[5].it_td

#define sipType_QMap_1800_0100QVariant sipImportedTypes_Enginio_QtCore[8].it_td

#define sipType_QList_0100QModelIndex sipImportedTypes_Enginio_QtCore[7].it_td

#define sipType_QStringList sipImportedTypes_Enginio_QtCore[15].it_td

#define sipType_QJsonObject sipImportedTypes_Enginio_QtCore[6].it_td

#define sipType_QString sipImportedTypes_Enginio_QtCore[14].it_td
extern sipImportedTypeDef sipImportedTypes_Enginio_QtCore[];
extern sipImportedVirtErrorHandlerDef sipImportedVirtErrorHandlers_Enginio_QtCore[];

#define sipType_QNetworkAccessManager sipImportedTypes_Enginio_QtNetwork[0].it_td
#define sipClass_QNetworkAccessManager sipImportedTypes_Enginio_QtNetwork[0].it_td->u.td_wrapper_type

#define sipType_QNetworkReply_NetworkError sipImportedTypes_Enginio_QtNetwork[1].it_td
#define sipEnum_QNetworkReply_NetworkError sipImportedTypes_Enginio_QtNetwork[1].it_td->u.td_py_type
extern sipImportedTypeDef sipImportedTypes_Enginio_QtNetwork[];

typedef const QMetaObject *(*sip_qt_metaobject_func)(sipSimpleWrapper *,sipTypeDef *);
extern sip_qt_metaobject_func sip_Enginio_qt_metaobject;

typedef int (*sip_qt_metacall_func)(sipSimpleWrapper *,sipTypeDef *,QMetaObject::Call,int,void **);
extern sip_qt_metacall_func sip_Enginio_qt_metacall;

typedef bool (*sip_qt_metacast_func)(sipSimpleWrapper *, const sipTypeDef *, const char *, void **);
extern sip_qt_metacast_func sip_Enginio_qt_metacast;

#endif
